(function ($, Drupal) {
  Drupal.behaviors.darkModeToggle = {
    attach: function (context, settings) {
      const toggleIcon = function() {
        const icon = $('#dark-mode-toggle .bi');
        if ($('body').hasClass('dark-mode')) {
          icon.removeClass('bi-moon-fill').addClass('bi-sun-fill');
          settings.dark_mode_icon = 'bi-sun-fill'; // Update icon class for light mode
        } else {
          icon.removeClass('bi-sun-fill').addClass('bi-moon-fill');
          settings.dark_mode_icon = 'bi-moon-fill'; // Update icon class for dark mode
        }
      };

      // Initial icon setup
      toggleIcon();

      // Check if dark mode is enabled in local storage
      if (localStorage.getItem('dark-mode') === 'true') {
        $('body').addClass('dark-mode');
        toggleIcon();
      }

      // Toggle dark mode on button click
      $('#dark-mode-toggle', context).once('darkModeToggle').on('click', function () {
        $('body').toggleClass('dark-mode');
        localStorage.setItem('dark-mode', $('body').hasClass('dark-mode'));
        toggleIcon();
      });
    }
  };
})(jQuery, Drupal);

// Function to replace colors
function replaceColor(oldColor, newColor) {
  const styleSheets = document.styleSheets;

  for (let i = 0; i < styleSheets.length; i++) {
    const rules = styleSheets[i].cssRules || styleSheets[i].rules;
    for (let j = 0; j < rules.length; j++) {
      const rule = rules[j];
      if (rule.style) {
        const colorProperties = ['color', 'background-color', 'border-color'];
        colorProperties.forEach(property => {
          if (rule.style[property] === oldColor) {
            rule.style[property] = newColor;
          }
        });
      }
    }
  }
}

// Replace red (#ff0000) with green (#00ff00)
replaceColor('#eeeeee', '#00ff00');
